Bug 240655 - Review Request: ocaml-extlib - OCaml ExtLib additions to the standard library
Summary: Review Request: ocaml-extlib - OCaml ExtLib additions to the standard library
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Xavier Lamien
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 241656
TreeView+ depends on / blocked
 
Reported: 2007-05-19 13:53 UTC by Richard W.M. Jones
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-01 17:53:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Richard W.M. Jones 2007-05-19 13:53:23 UTC
Spec URL: http://annexia.org/tmp/ocaml-extlib.spec
SRPM URL: http://annexia.org/tmp/ocaml-extlib-1.5-1.src.rpm
Description: 
OCaml ExtLib contains additions to the standard library.  It
is quite a fundamental OCaml package on which other libraries
and programs depend.

Comment 1 Richard W.M. Jones 2007-05-25 17:35:25 UTC
Updated SRPM and Spec files:

http://annexia.org/tmp/ocaml-extlib.spec
http://annexia.org/tmp/ocaml-extlib-1.5-2.fc6.src.rpm

Note! These depend on the ocaml find-requires and find-provides scripts.  See
here: https://www.redhat.com/archives/fedora-devel-list/2007-May/msg01693.html

Comment 2 Richard W.M. Jones 2007-06-02 14:14:29 UTC
Updated SRPM and Spec files:

http://annexia.org/tmp/ocaml-extlib.spec
http://annexia.org/tmp/ocaml-extlib-1.5-3.src.rpm

These handle bytecode-only architectures.

Comment 3 Richard W.M. Jones 2007-06-11 19:52:23 UTC
Updated SRPM and Spec files:

http://annexia.org/tmp/ocaml/ocaml-extlib.spec
http://annexia.org/tmp/ocaml/ocaml-extlib-1.5-4.src.rpm

Updated to latest OCaml packaging guidelines.
Built against OCaml 3.10.


Comment 4 Xavier Lamien 2007-07-25 21:35:38 UTC
Will start at tomorrow

Comment 5 Xavier Lamien 2007-07-27 03:14:17 UTC
=== REQUIRED ITEMS ===

 [ OK ] Package is named according to the Package Naming Guidelines.
 [ OK ] Spec file name must match the base package.
 [ OK ] Package meets the Packaging Guidelines.
 [ FAILED ] Package successfully to build into binary rpms on at least one
        supported architecture.
 [ CHECK ] Tested on: Mock x86_64 [FC-devel]

 [ OK ] Package is not relocatable.
 [ OK ] Buildroot is correct
 [ OK ] Package is licensed with an open-source compatible license.
 [ OK ] License field in the package spec file matches the actual license.
 [ OK ] License type: LGPL
 [ OK ] The source package includes the text of the license(s).
 [ OK ] Spec file is legible and written in American English.
 [ SKIP ] Package is not known to require ExcludeArch.
 [ OK ] All build dependencies are listed in BuildRequires.
 [ OK ] The spec file handles locales properly.
 [ SKIP ] ldconfig called in %post and %postun if required.
 [ Ok ] Package must own all directories that it creates.
 [ OK ] Package requires other packages for directories it uses.
 [ OK ] Package does not contain duplicates in %files.
 [ OK ] Permissions on files are set properly.
 [ OK ] Package has a %clean section.
 [ OK ] Package consistently uses macros.
 [ OK ] Package contains code, or permissable content.
 [ SKIP ] Large documentation files are in a -doc subpackage, if required.
 [ CHECK ] Package uses nothing in %doc for runtime.
 [ SKIP] Header files in -devel subpackage, if present.
 [ SKIP ] Static libraries in -devel subpackage, if present.
 [ SKIP ] Package requires pkgconfig, if .pc files are present.
 [ SKIP ] Development .so files in -devel subpackage, if present.
 [ CHECK ] Fully versioned dependency in subpackages, if present.
 [ OK ] Package does not contain any libtool archives (.la).
 [ SKIP ] Package contains a properly installed %{name}.desktop file.
 [ OK ] Package does not own files or directories owned by other packages.

According to OCaml Packaging Guideline:
 
 [ OK ] OCaml modules / libs should be named ocaml-foo.
 [ OK ] The spec file should still build bytecode libraries and binaries.
 [ OK ] Should Test if the native compiler is present.
 [ OK ] main package should contain files matching all files which're mentioned    
        in OCaml guideline if present.
 [ OK ] -devel sub-package Should contains all files which're mentioned in OCaml
       guidelines if present.


=== Issues ===

# Mock

Mock fails on : 
--------------------------------------------------------------
[...]
sh: ocamldoc: command not found
Exit Code 127 - Stopped
error: Bad exit status from /var/tmp/rpm-tmp.54888 (%install)
--------------------------------------------------------------
Which mean that ocmal-ocamldoc is missing as BR.
Just add it.


# some comment about __docdir

you don't need to past doc files to __docdir/%{name}-%{version}-devel in %files
devel
%doc already do this job ;-).
just add your subdirectory to %doc like this:
%doc extlib-doc/*

Of course, thats imply to re-manage your "# Move the HTML documentation
somewhere sensible."
by then, you should just  have something like this:
--------------------------------------------------
# Move the HTML documentation somewhere sensible.
mkdir extlib-doc
mv $extlibdir/extlib-doc extlib-doc
--------------------------------------------------





Comment 6 Richard W.M. Jones 2007-08-01 10:41:32 UTC
An updated version is available here:

http://annexia.org/tmp/ocaml/ocaml-extlib.spec
http://annexia.org/tmp/ocaml/ocaml-extlib-1.5-5.fc8.src.rpm

This fixes all the problems you've pointed out above.  The changelog is:

* Wed Aug  1 2007 Richard W.M. Jones <rjones-redhat.com> - 1.5-5
- ExcludeArch ppc64
- Added BR on ocaml-ocamldoc
- Use %doc to install documentation.


Comment 7 Xavier Lamien 2007-08-01 16:02:25 UTC
OK,

All issues requested has been fixed.



==========
*APPROVED*
==========

Comment 8 Richard W.M. Jones 2007-08-01 16:11:22 UTC
New Package CVS Request
=======================
Package Name: ocaml-extlib
Short Description: OCaml ExtLib additions to the standard library
Owners: rjones@redhat.com
Branches: F-7
InitialCC: lxtnow@gmail.com,rjones@redhat.com

Comment 9 Richard W.M. Jones 2007-11-07 15:43:13 UTC
Package Change Request
======================
Package Name: ocaml-extlib
New Branches: EL-5


Comment 10 Kevin Fenzi 2007-11-07 19:54:22 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.